Novell Client nwfs.sys Local Privilege Escalation

High Nessus Plugin ID 33481


The remote Windows host contains a driver that is affected by a local privilege escalation vulnerability.


The file 'NWFS.SYS' included with the Novell Client software and installed on the remote host is reportedly affected by a local privilege escalation vulnerability that allows a client to send a request to the kernel driver using crafted pointer and then execute code with kernel privileges.


Apply the patch referenced in the vendor advisory above.

See Also

Plugin Details

Severity: High

ID: 33481

File Name: novell_nwfs_4_91_4_12.nasl

Version: $Revision: 1.14 $

Type: local

Agent: windows

Family: Windows

Published: 2008/07/11

Modified: 2016/11/23

Dependencies: 13855

Risk Information

Risk Factor: High


Base Score: 7.2

Temporal Score: 6.3

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

Required KB Items: SMB/Registry/Enumerated

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2008/06/26

Exploitable With

Core Impact

Metasploit (Novell Client 4.91 SP4 nwfs.sys Local Privilege Escalation)

Reference Information

CVE: CVE-2008-3158

BID: 30001

OSVDB: 46578

Secunia: 30904

CWE: 264